function [f,g] = svmguide3(x, S)
persistent F G;
if isempty(F) || isempty(G)
load('tanhEnv', 'svmguide3_f', 'svmguide3_g');
F = svmguide3_f; G = svmguide3_g;
end
f = F(x,S);
if nargout > 1
g = G(x,S);
end
end
